Bug 528188 - Display not operating properly
Display not operating properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
card_NV92
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 11:42 EDT by Linuxguy123
Modified: 2010-12-04 02:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 02:31:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of the session (3.30 MB, image/jpeg)
2009-10-09 11:42 EDT, Linuxguy123
no flags Details
dmesg (56.76 KB, text/plain)
2009-10-22 20:44 EDT, Linuxguy123
no flags Details
Xorg.0.log (41.99 KB, text/plain)
2009-10-22 20:45 EDT, Linuxguy123
no flags Details
Xorg.0.log.old (43.10 KB, text/plain)
2009-10-22 20:45 EDT, Linuxguy123
no flags Details
boot.log (2.31 KB, text/plain)
2009-10-22 20:46 EDT, Linuxguy123
no flags Details
Xorg.0.log (33.84 KB, text/plain)
2009-11-10 14:42 EST, Linuxguy123
no flags Details
Dmesg.txt (55.37 KB, text/plain)
2009-11-10 14:43 EST, Linuxguy123
no flags Details
dmesg for F12 Live (57.79 KB, text/plain)
2009-12-14 19:21 EST, Linuxguy123
no flags Details
Xorg.0.log for F12 Live (95.23 KB, text/x-log)
2009-12-14 19:22 EST, Linuxguy123
no flags Details

  None (edit)
Description Linuxguy123 2009-10-09 11:42:25 EDT
Created attachment 364266 [details]
Screenshot of the session

Description of problem:

The display isn't displaying the KDE desktop properly.  The whole desktop is the wrong color and its fuzzy and noisy like its being viewed through a snowstorm.  See attached picture.

Version-Release number of selected component (if applicable):

Forgot to look when I was running the session.  Very hard to get actually because the session is so messed up.  All apps are from the current (Oct 8th) rawhide build of F12 KDE live.  See details below.

How reproducible:

Booted 3 times and same thing every time.

Steps to Reproduce:

1.  Download F12 KDE live iso from here:
http://alt.fedoraproject.org/pub/alt/nightly-composes/kde/kde-i386-20091008.15.iso

2. Install it on a USB thumb drive using liveusb-creator.

3. Boot the USB thumb drive in my HP HDX9494 laptop.
  
Actual results:

Display messed up.  See following jpg.

Expected results:

Should display the KDE desktop properly.  

Additional info:

Everything seems to run fine in the F12 session that isn't displayed properly.  I can start applications, quit them, shut down, etc.  The session just isn't displayed properly. 

I ran the same USB thumb drive on a different HP laptop and it worked perfectly.   F12 looks very polished and stable on it.

Hardware Browser (or the F11 equivalent of what used to be called Hardware Browser) reports my video card to be "nVidia Corporation GeForce 8800M GTS" in an F11 session.

$ lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8800M GTS (rev a2)

F11 runs excellent on the HDX9494 except for the following issues that might be related:

https://bugzilla.redhat.com/show_bug.cgi?id=525767
https://bugzilla.redhat.com/show_bug.cgi?id=504173

Let me know if you need more information or if you want me to test anything else.

Thanks for listening.
Comment 1 Linuxguy123 2009-10-14 21:06:07 EDT
I downloaded and tested kde-i386-20091012.16.iso and experienced the same behavior.
Comment 2 Matěj Cepl 2009-10-20 14:50:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Linuxguy123 2009-10-20 19:07:30 EDT
Unfortunately the display doesn't work well enough for me to get any output.  I can't see anything well enough to use it.

The X files are exactly what ship with the f12 KDE Live install iso.

I strongly suspect that this problem is related to the other problems that my laptop has displaying things.
Comment 4 Linuxguy123 2009-10-22 20:41:37 EDT
I found a way to get a usable F12 session.  If I plug an external monitor into my laptop, nouveau runs a dual monitor desktop.   The laptop display is still totally messed up.  However, the display on the external monitor is perfect.  I installed a kstart widget on that desktop and I can work within the F12 session.

I've done a bit of testing.   ctrl-alt-F6 gives me cloned displays on a console session.  The session displays properly on the external monitor and not properly on the laptop display.   You can faintly see the session in the very snowy laptop display.  The session is perfect on the external monitor.

I logged out of my session and logged back in.  That cures the black video problem that I have reported elsewhere.  It doesn't solve this problem at all. 



$lsmod                                                 
Module                  Size  Used by                                           
nfsd                  230824  1                                                 
lockd                  66772  1 nfsd                                            
nfs_acl                 2684  1 nfsd                                            
auth_rpcgss            35184  1 nfsd                                            
exportfs                3968  1 nfsd                                            
sunrpc                178044  5 nfsd,lockd,nfs_acl,auth_rpcgss                  
ip6t_REJECT             4716  2                                                 
nf_conntrack_ipv6      18784  2                                                 
ip6table_filter         3360  1                                                 
ip6_tables             11684  1 ip6table_filter                                 
ipv6                  264776  22 ip6t_REJECT,nf_conntrack_ipv6                  
cpufreq_ondemand        7148  2                                                 
acpi_cpufreq            9360  0                                                 
dm_multipath           16272  0                                                 
arc4                    1740  2                                                 
ecb                     2812  2                                                 
uvcvideo               54500  0                                                 
sdhci_pci               7668  0                                                 
videodev               31572  1 uvcvideo                                        
v4l1_compat            12776  2 uvcvideo,videodev                               
sdhci                  19368  1 sdhci_pci                                       
mmc_core               54672  1 sdhci                                           
snd_hda_codec_idt      55788  1                                                 
snd_hda_intel          26624  3                                                 
snd_hda_codec          66788  2 snd_hda_codec_idt,snd_hda_intel                 
snd_hwdep               7388  1 snd_hda_codec                                   
snd_pcm                70792  2 snd_hda_intel,snd_hda_codec                     
snd_timer              19504  1 snd_pcm                                         
btusb                  16464  0                                                 
bluetooth              85096  1 btusb                                           
iwlagn                128756  0                                                 
iwlcore               151116  1 iwlagn                                          
mac80211              168688  2 iwlagn,iwlcore
snd                    56420  12 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
cfg80211               80156  3 iwlagn,iwlcore,mac80211
soundcore               6160  1 snd
snd_page_alloc          8500  2 snd_hda_intel,snd_pcm
rfkill                 18980  2 bluetooth,cfg80211
firewire_ohci          21288  0
firewire_core          45616  1 firewire_ohci
crc_itu_t               1688  1 firewire_core
serio_raw               5624  0
i2c_i801               10852  0
joydev                 10116  0
sky2                   44384  0
iTCO_wdt               10980  0
iTCO_vendor_support     3032  1 iTCO_wdt
wmi                     6340  0
squashfs               35552  2
vfat                    9480  1
fat                    45816  1 vfat
usb_storage            49012  1
sata_sil24             12776  0
video                  20556  0
output                  2704  1 video
nouveau               505556  2
ttm                    39252  1 nouveau
drm_kms_helper         23536  1 nouveau
drm                   146868  4 nouveau,ttm,drm_kms_helper
i2c_algo_bit            5340  1 nouveau
i2c_core               24740  5 videodev,i2c_i801,nouveau,drm,i2c_algo_bit

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8800M GTS (rev a2)
02:06.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
02:06.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
02:06.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
02:06.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)
10:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
20:00.0 Mass storage controller: Silicon Image, Inc. Sil 3531 [SATALink/SATARaid] Serial ATA Controller (rev 01)
28:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 13)
Comment 5 Linuxguy123 2009-10-22 20:44:14 EDT
Created attachment 365801 [details]
dmesg
Comment 6 Linuxguy123 2009-10-22 20:45:15 EDT
Created attachment 365803 [details]
Xorg.0.log
Comment 7 Linuxguy123 2009-10-22 20:45:55 EDT
Created attachment 365804 [details]
Xorg.0.log.old
Comment 8 Linuxguy123 2009-10-22 20:46:54 EDT
Created attachment 365805 [details]
boot.log
Comment 9 Linuxguy123 2009-10-22 20:50:46 EDT
There is no /var/X11/xorg.conf.

Which brings me to the question... how does one configure the nouveau driver ?  I'd like to turn off my laptop display while I do this in case its harmful to it.

BTW: I am running kde-i386-20091021.16.iso from the site mentioned above. 

Let me know if you need more information.

LG
Comment 10 Matěj Cepl 2009-10-26 19:13:12 EDT
(In reply to comment #9)
> There is no /var/X11/xorg.conf.
> 
> Which brings me to the question... how does one configure the nouveau driver ? 
> I'd like to turn off my laptop display while I do this in case its harmful to
> it.

There is no /etc/X11/xorg.conf per default (note, it's /etc not /var) and it is not REQUIRED, but that doesn't mean that it isn't HONORED when it is found. It is. So just write your /etc/X11/xorg.conf and do whatever you want to do there.
Comment 11 Matěj Cepl 2009-11-05 12:17:42 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Linuxguy123 2009-11-10 09:03:32 EST
The problem still exists with kde-i386-20091107.20

Let me know what you want me to collect.
Comment 13 Matěj Cepl 2009-11-10 11:17:48 EST
Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Thanks in advance.
Comment 14 Linuxguy123 2009-11-10 14:42:35 EST
Created attachment 368469 [details]
Xorg.0.log

As requested
Comment 15 Linuxguy123 2009-11-10 14:43:24 EST
Created attachment 368471 [details]
Dmesg.txt

As requested
Comment 16 Linuxguy123 2009-11-10 14:44:30 EST
I attached the requested files above.   There was no xorg.conf that I could find, ie nothing in the usual location.  Let me know if the default location has been changed.
Comment 17 Bug Zapper 2009-11-16 08:27:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Linuxguy123 2009-11-19 09:38:13 EST
FWIW: I am prevented from upgrading to F12 until this is fixed.

I am wondering if I'd experience the problem if I was using the nvidia driver instead of nouveau.

Is there a way to run F12 Live with the nvidia driver ?

Thanks
Comment 19 Matěj Cepl 2009-11-19 18:15:51 EST
(In reply to comment #18)
> Is there a way to run F12 Live with the nvidia driver ?

Not that I condone such practices, but I guess if you have LiveUSB with persistence (https://fedoraproject.org/wiki/Features/LivePersistence) you can install and upgrade third party software on that USB.

Let us know how it goes, and please attach /var/log/Xorg.0.log, /etc/X11/xorg.conf, and the output of dmesg from the test.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 20 Linuxguy123 2009-11-19 20:18:04 EST
I'm very busy right now, so its going to be a while before I run this.  Just so you know.
Comment 21 Linuxguy123 2009-12-14 19:21:26 EST
Created attachment 378392 [details]
dmesg for F12 Live
Comment 22 Linuxguy123 2009-12-14 19:22:13 EST
Created attachment 378394 [details]
Xorg.0.log for F12 Live
Comment 23 Linuxguy123 2009-12-14 19:26:31 EST
See the attached files I generated by running F12 Live from a CD.   There is no xorg.conf on the system. 

I've since upgraded this computer (laptop) to F12 via the F12 upgrade DVD.  The display is working fine with the proprietary nvidia driver.  

During the upgrade process the display was all jumbled as per the images I have provided.  Upon booting after the upgrade, X would not run.  I performed a yum update from the command line and all was well.
Comment 24 Ben Skeggs 2010-01-10 23:10:53 EST
Are you able to update to http://koji.fedoraproject.org/koji/buildinfo?buildID=147895 and retry the nouveau driver.  There's been a number of improvements to G80 LVDS handling, and hopefully fixes your issue.

Thanks!
Comment 25 Bug Zapper 2010-11-04 05:33:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2010-12-04 02:31:30 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.